Enviar Localização
curl --request POST \
--url https://apis.vectalk.com.br/api/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messaging_product": "<string>",
"recipient_type": "<string>",
"to": "<string>",
"type": "<string>",
"context": {
"context.message_id": "<string>"
},
"location": {
"location.latitude": "<string>",
"location.longitude": "<string>",
"location.name": "<string>",
"location.address": "<string>"
}
}
'import requests
url = "https://apis.vectalk.com.br/api/messages"
payload = {
"messaging_product": "<string>",
"recipient_type": "<string>",
"to": "<string>",
"type": "<string>",
"context": { "context.message_id": "<string>" },
"location": {
"location.latitude": "<string>",
"location.longitude": "<string>",
"location.name": "<string>",
"location.address": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messaging_product: '<string>',
recipient_type: '<string>',
to: '<string>',
type: '<string>',
context: {'context.message_id': '<string>'},
location: {
'location.latitude': '<string>',
'location.longitude': '<string>',
'location.name': '<string>',
'location.address': '<string>'
}
})
};
fetch('https://apis.vectalk.com.br/api/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Mensagens
Enviar Localização
Envia uma mensagem de localização via WhatsApp.
POST
/
messages
Enviar Localização
Parâmetros
Body
string
default:"whatsapp"
required
Sempre
"whatsapp".string
default:"individual"
Tipo de destinatário:
"individual".string
required
Número do destinatário no formato
wa_id.string
default:"location"
required
Sempre
"location".object
Para responder uma mensagem específica.
Show Campos
Show Campos
string
required
ID da mensagem a ser respondida.
object
required
Exemplo
{
"messaging_product": "whatsapp",
"recipient_type": "individual",
"to": "5511999999999",
"type": "location",
"location": {
"latitude": "-23.561414",
"longitude": "-46.655881",
"name": "Av. Paulista",
"address": "Av. Paulista, 1000 - São Paulo, SP"
}
}
Resposta
{
"messaging_product": "whatsapp",
"contacts": [{ "input": "5511999999999", "wa_id": "5511999999999" }],
"messages": [{ "id": "wamid.HBgLNTUxMTk5OTk5OTk5..." }]
}
⌘I